Get a company
curl --request GET \
--url https://api.altahq.com/v1/companies/{companyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/companies/{companyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/companies/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/companies/{companyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/companies/{companyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/companies/{companyId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/companies/{companyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "company",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"industries": [
"<string>"
],
"name": "<string>",
"website": "<string>",
"domain": "<string>",
"logoUrl": "<string>",
"employeeCount": 123,
"city": "<string>",
"state": "<string>",
"country": "<string>"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}Companies
Get a company
Retrieves a single company by its ID.
GET
/
companies
/
{companyId}
Get a company
curl --request GET \
--url https://api.altahq.com/v1/companies/{companyId} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.altahq.com/v1/companies/{companyId}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.altahq.com/v1/companies/{companyId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.altahq.com/v1/companies/{companyId}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.altahq.com/v1/companies/{companyId}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.altahq.com/v1/companies/{companyId}")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.altahq.com/v1/companies/{companyId}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"objectType": "company",
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"industries": [
"<string>"
],
"name": "<string>",
"website": "<string>",
"domain": "<string>",
"logoUrl": "<string>",
"employeeCount": 123,
"city": "<string>",
"state": "<string>",
"country": "<string>"
}{
"error": "Unauthorized",
"message": "Invalid API token"
}{
"error": "NotFound",
"message": "Resource not found"
}{
"error": "TooManyRequests",
"message": "Rate limit exceeded. Please retry after 60 seconds."
}Returns a company object.
Authorizations
API token authentication. Generate a token from the Alta dashboard and pass it as a Bearer token in the Authorization header.
Path Parameters
The UUID of the company.
Response
The company object
Unique identifier for the object.
The type of this object.
Available options:
company Timestamp when the object was created.
Timestamp when the object was last updated.
List of industries the company operates in.
The company name.
The company website URL.
The company domain.
URL to the company logo.
Estimated number of employees.
The city where the company is located.
The state or region where the company is located.
The country where the company is located.